## gettext-lint 0.4

=== src/test/Makefile ===
all: test1 test2

test1:
	@mkdir -p tmp
	@cp 2.po tmp/
	python ../POFileFill.in tmp/2.po 1.po
	@diff -u tmp/2.po 2.result.po

test2:
	@mkdir -p tmp
	@cp 3.po tmp/
	python ../POFileFill.in tmp/3.po 1.po
	@diff -u tmp/3.po 3.result.po

spell1:
	@mkdir -p tmp
	@cp spell1.po spell1.dict tmp
	python ../POFileSpell.in -i --dict=tmp/spell1.dict tmp/spell1.po

spell2:
	@mkdir -p tmp
	@cp spell2.po tmp
	python ../POFileSpell.in -i tmp/spell2.po

spell3:
	@mkdir -p tmp
	@cp spell3.po tmp
	python ../POFileSpell.in -i tmp/spell3.po

check1:
	@mkdir -p tmp
	python ../POFileChecker.in check1.po > tmp/check1.result.xml
	@diff -u tmp/check1.result.xml check1.result.xml

=== debian/changelog ===
gettext-lint (0.4-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch to dh-autoreconf to recopy symlinked automake files. (Closes:
    #724377)

 -- Eric Dorland <eric@debian.org>  Thu, 06 Mar 2014 00:17:04 -0500

gettext-lint (0.4-2) unstable; urgency=low

  * Add Build-Depends on automake1.9 (to have install-sh available) and
    autoconf (Closes: #614481)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Tue, 29 Mar 2011 01:31:33 +0200

gettext-lint (0.4-1) unstable; urgency=low

  * New upstream release
  * Upload to Debian

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 12 Dec 2010 22:22:09 +0100

gettext-lint (0.3.1-1) unstable; urgency=low

  * Initial release.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat,  9 Dec 2006 13:51:55 +0100

=== debian/control ===
Source: gettext-lint
Section: devel
Priority: extra
Maintainer: Javier Fernandez-Sanguino Pen~a <jfs@debian.org>
Build-Depends: debhelper (>= 7.0.50~), autotools-dev, dh-autoreconf, python
Standards-Version: 3.8.4
Homepage: http://gettext-lint.sourceforge.net/
Vcs-svn: https://gettext-lint.svn.sourceforge.net/svnroot/gettext-lint/trunk/gettext-lint
Vcs-Browser: http://gettext-lint.svn.sourceforge.net/viewvc/gettext-lint/trunk/gettext-lint/

Package: gettext-lint
Architecture: all
Depends: python, ${misc:Depends}
Description: Collection of tools for checking PO and POT files
 Gettext-lint provides an assorted collection of tools that make it
  easy to check the consistency, validity and spelling of gettext files
 (both PO and POT).
 .
 This package includes:
    * POFileStatus - PO file validator and status reporting
    * POFileChecker - searches for common mistakes in PO files
    * POFileConsistency - PO file consistency checks
    * POFileEquiv - PO file glossary generator
    * POFileGlossary - search for translation errors against a glossary
    * POFileFill - automatically translate a PO file based on other files
    * POFileSpell - PO file spell checker
    * POFileClean - eliminates untranslated strings

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with=autoreconf

=== debian/watch ===
# gettext-lint watch control file for uscan
# You can run the "uscan" command to check for upstream updates and more.
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

# Uncomment to find new files on sourceforge, for debscripts >= 2.9
http://sf.net/gettext-lint/gettext-lint-(.*)\.tar\.gz
